Bump to head and M851XY Tweaks

This commit is contained in:
InsanityAutomation
2019-10-06 16:43:38 -04:00
parent 38ce8b9772
commit cf4766a2b2
494 changed files with 14976 additions and 7429 deletions
+5 -3
View File
@@ -16,13 +16,15 @@ BRANCH=${INFO[5]}
git push --set-upstream origin $BRANCH
TOOL=$(which gnome-open xdg-open open | awk '{ print $1 }')
which xdg-open >/dev/null && TOOL=xdg-open
which gnome-open >/dev/null && TOOL=gnome-open
which open >/dev/null && TOOL=open
URL="https://github.com/$FORK/$REPO/commits/$BRANCH"
if [ -z "$TOOL" ]; then
if [ -z "$OPEN" ]; then
echo "Can't find a tool to open the URL:"
echo $URL
else
echo "Viewing commits on $BRANCH..."
"$TOOL" "$URL"
"$OPEN" "$URL"
fi
+5 -3
View File
@@ -16,14 +16,16 @@ BRANCH=${INFO[5]}
[[ $ORG == "MarlinFirmware" && $REPO == "MarlinDocumentation" ]] || { echo "Wrong repository." 1>&2; exit 1; }
opensite() {
TOOL=$(which gnome-open xdg-open open | awk '{ print $1 }')
which xdg-open >/dev/null && TOOL=xdg-open
which gnome-open >/dev/null && TOOL=gnome-open
which open >/dev/null && TOOL=open
URL="http://127.0.0.1:4000/"
if [ -z "$TOOL" ]; then
if [ -z "$OPEN" ]; then
echo "Can't find a tool to open the URL:"
echo $URL
else
echo "Opening preview site in the browser..."
"$TOOL" "$URL"
"$OPEN" "$URL"
fi
}
+5 -3
View File
@@ -23,15 +23,17 @@ OLDBRANCH=${INFO[5]}
# See if it's been pushed yet
if [ -z "$(git branch -vv | grep ^\* | grep \\[origin)" ]; then firstpush; fi
TOOL=$(which gnome-open xdg-open open | awk '{ print $1 }')
which xdg-open >/dev/null && TOOL=xdg-open
which gnome-open >/dev/null && TOOL=gnome-open
which open >/dev/null && TOOL=open
URL="https://github.com/$ORG/$REPO/compare/$TARG...$FORK:$BRANCH?expand=1"
if [ -z "$TOOL" ]; then
if [ -z "$OPEN" ]; then
echo "Can't find a tool to open the URL:"
echo $URL
else
echo "Opening a New PR Form..."
"$TOOL" "$URL"
"$OPEN" "$URL"
fi
[[ $BRANCH != $OLDBRANCH ]] && git checkout $OLDBRANCH
+10 -6
View File
@@ -77,15 +77,17 @@ else
git push -f origin
fi
TOOL=$(which gnome-open xdg-open open | awk '{ print $1 }')
which xdg-open >/dev/null && TOOL=xdg-open
which gnome-open >/dev/null && TOOL=gnome-open
which open >/dev/null && TOOL=open
URL="https://github.com/$ORG/$REPO/compare/$TARG...$FORK:$BRANCH?expand=1"
if [ -z "$TOOL" ]; then
if [ -z "$OPEN" ]; then
echo "Can't find a tool to open the URL:"
echo $URL
else
echo "Opening a New PR Form..."
"$TOOL" "$URL"
"$OPEN" "$URL"
fi
fi
@@ -116,14 +118,16 @@ git checkout gh-pages || { echo "Something went wrong!"; exit 1; }
rsync -av ${TMPFOLDER}/ ./
opensite() {
TOOL=$(which gnome-open xdg-open open | awk '{ print $1 }')
which xdg-open >/dev/null && TOOL=xdg-open
which gnome-open >/dev/null && TOOL=gnome-open
which open >/dev/null && TOOL=open
URL="http://marlinfw.org/"
if [ -z "$TOOL" ]; then
if [ -z "$OPEN" ]; then
echo "Can't find a tool to open the URL:"
echo $URL
else
echo "Opening the site in the browser..."
"$TOOL" "$URL"
"$OPEN" "$URL"
fi
}
+2 -2
View File
@@ -28,8 +28,8 @@ case $TESTENV in
m128) TESTENV='megaatmega1280' ;;
m256) TESTENV='megaatmega2560' ;;
mega) TESTENV='megaatmega2560' ;;
stm) TESTENV='STM32F103R' ;;
f1) TESTENV='STM32F103R' ;;
stm) TESTENV='STM32F103RE' ;;
f1) TESTENV='STM32F103RE' ;;
f4) TESTENV='STM32F4' ;;
f7) TESTENV='STM32F7' ;;
teensy) TESTENV='teensy31' ;;